/**
 * Funciones utilitarias y auxiliares para formularios JSP.
 * Este archivo debe ser SIEMPRE includio en los JSP mediante
 * <script type="text/javascript" src="../JavaScripts/jspUtilJS.js"></script>
 */

/**
 * Funcion onkeydown de document sobrecargada para interceptar
 * eventos de las teclas presionadas en el entorno web de FIT.
 * Los eventos son validados e interceptados tanto en IE 
 * como en Mozilla FF. Esta funcion SIEMPRE DEBE ESTAR PRESENTE
 * aqui pues llama a las funciones prototipo consultar(),
 * mantenimiento, nextPage(), prevPage() del JSP. Se debe escribir la logica
 * de estos procesos en esas funciones en los respectivos archivos.
 */
document.onkeydown = function(e) {
	e = (window.event) ? window.event.keyCode : e.keyCode;
	switch (e) {
		case 112: // Si se presiona F1 (Ayuda)
			parent.f1();
		break;
		case 113: // Si se presiona F2 (Recargar el formulario)
			parent.f2();
		break;
		case 115: // Si se presiona F4 (Cerrar sesion)
			parent.f4();
		break;
		case 118: // Si se presiona F7 (Ejecutar Consulta)
			consultar();
		break;
		case 119: // Si se presiona F8 (Pagina anterior de registros)
			prevPage();
		break;
		case 120: // Si se presiona F9 (Siguiente pagina de registros)
			nextPage();
		break;
		case 123: // Si se presiona F12 (Ejecutar Mantenimiento)
			mantenimiento();
		break;
	}
}

/**
 * Funcion que prepara el entorno web de FIT para trabajar con
 * funcionalidad escrita en el JSP cargado. Debe SIEMPRE ser
 * llamada en el evento onload del tag body del jsp para indicar
 * al entorno que debe tratar de manera especial al formulario.
 */
function prepararEntornoParaJsp() {
	parent.document.createAttribute('isjsp');
	parent.document.isjsp = 'true';
	return true;
}

/**
 * Funcion que reestablece el entorno web de FIT para trabajar con
 * formularios XML estandares de FIT. Debe SIEMPRE ser llamada en
 * el evento onbeforeunload (evento soportado tanto por IE como Mozilla FF)
 * para que formularios XML estandares de FIT y JSP puedan convivir
 * en el entorno y trabajar.
 */
function reestablecerEntorno() {
	parent.document.isjsp = null;
	return true;
}

/**
 * Funcion que imprime un texto en la barra de estatus del entorno web de FIT
 */
function imprimirMensajeEstatus(texto) {
	parent.st(texto);
}

/**
 * Funcion para cargar el formulario SS:TTTT
 * SS = Subsistema
 * TTTT = Transaccion
 * Ejemplo para ir a la transaccion 00:0001 =
 * cargarFormulario('00:0001');
 */
 function cargarFormulario(sstttt) {
 	parent.pt(sstttt);
 }